<?
include "config.php";
include "top.txt";

?>







<script language="javascript">
function PostForm(){
	if(document.all){
		if(FormSeller.email1.value.length == 0){
			alert('Пожалуйста, заполните поле E-mail');
			return;
		}
		if(FormSeller.url.value.length == 0){
			alert('Пожалуйста, заполните поле Ваш сайт');
			return;
		}
		if(FormSeller.login1.value.length == 0){
			alert('Пожалуйста, заполните поле Логин');
			return;
		}
		if(FormSeller.pass.value.length == 0){
			alert('Пожалуйста, заполните поле Пароль');
			return;
		}
		if(FormSeller.wmid.value.length == 0){
			alert('Пожалуйста, заполните поле WMID');
			return;
		}
		if(FormSeller.wmz.value.length != 13){
			alert('Пожалуйста, корректно заполните поле WMZ-кошелёк');
			return;
}
if (document.forms("FormSeller").all("rules").checked) FormSeller.submit();
	else {
	alert('Вам необходимо согласится с правилами партнёрской программы');
	return;
	}	

FormSeller.submit();		
		
	}	
}
</script>



<?



$signedstring  = $HTTP_POST_VARS["signedstring"];
$wmid          = $HTTP_POST_VARS["WMID"];
$signString    = $HTTP_POST_VARS["signString"];


list($status, $err) = TestAutority($wmid, $signedstring, $signString);

?>



<?

if ($status == -1)
{ print "


Ошибка проверки: $err"; }
elseif ($status ==  0)
{ print "


Аутентификация не произведена"; }
elseif ($status ==  1) { 
$result = mysql_query ("select * from partner where WMID='$wmid'",$cnct);
if (mysql_num_rows($result)!=0){
echo '

Ваш WMID успешно авторизирован. Для того, чтобы войти в пользовательский интерфейс партнёрской программы Вы должны ввести Логин и Пароль, которые Вы указывали при регистрации на нашем сайте, если Вы забыли пароль, то воспользуйтесь соответствующим разделом.
<p align=center>
<form name="FormSeller" method="POST" action="enterpartner.php">
Логин: <input type=text name=login class=submit><br>
Пароль: <input type=password name=pass class=submit><br><br>
<input type="submit" class="submit" value="Авторизация"><br><br><a href="lostpass.php" class=link4>Забыли пароль?</a>
</form>
 ';
}
else {
echo "

Вы успешно авторизировались. Ваш WMID: <u>$wmid</u> не найден в списке наших партнёров, для регистрации заполните форму, которая ниже.";
?>

<p align="center">
<form name="FormSeller" method="POST" action="regpartner.php">
E-mail*: <input type="text" name="email1" class="submit"><br>
Ваш сайт*: <input type="text" name="url" class="submit"><br>
WMID*: <input type="text" name="wmid" value="<? echo $wmid; ?>"  class="submit" disabled><br>
WMZ-кошелёк*: <input type="text" name="wmz" class="submit" maxlength="13"><br>
Логин*: <input type="text" name="login1" class="submit"><br>
Пароль*: <input type="password" name="pass" class="submit"><br>
Согласен, со всеми <a href="rulespartner.php" class="link4">правилами</a> <input type="checkbox" name="rules">
<br>
* - поле обязательно для заполения.
<br><br>
<input type="hidden" name="nomerid" value="<? echo $wmid; ?>">
<input type="hidden" name="signedstring" value="<? echo $signedstring; ?>">
<input type="hidden" name="signString" value="<? echo $signString; ?>">
<input type="button" class="submit" value="Зарегистрироваться" onClick="PostForm()">
<input type=hidden name=ExistSeller>
</form>
</p>


<?
}
}
else
{ print "


Внутренняя ошибка скрипта"; }
?>

<? include "down.txt"; ?>